漏洞概要

缺陷编号:
CNNVD-201804-761

漏洞标题:
GEGL 安全漏洞

提交时间:
2018-04-17

危害等级:

相关厂商:

漏洞分类:
漏洞公布

关注度:
共 15 人关注

漏洞详情

漏洞信息详情

GEGL 安全漏洞

漏洞简介

GEGL是一款基于数据流的图像处理框架。该框架为GNU图像操作程序等项目提供浮点处理和无损图像处理功能。

GEGL 0.3.32及之前版本中buffer/gegl-tile-backend-swap.c文件的‘gegl_tile_backend_swap_constructed’函数存在安全漏洞。攻击者可借助畸形的PNG文件利用该漏洞造成拒绝服务(写入访问权限冲突)。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

http://gegl.org/

参考网址

来源:bugzilla.gnome.org

链接:https://bugzilla.gnome.org/show_bug.cgi?id=795249

来源:github.com

链接:https://github.com/xiaoqx/pocs/tree/master/gegl

受影响实体

    暂无

补丁

    暂无

发表评论

电子邮件地址不会被公开。 必填项已用*标注